gi-cairo-1.0.24: Cairo bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Matrix

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype Matrix = Matrix (ManagedPtr Matrix)

# Exported types

newtype Matrix Source #

Memory-managed wrapper type.

Constructors

Matrix (ManagedPtr Matrix) |

#### Instances

Instances details

Eq Matrix Source # |
Instance details Defined in GI.Cairo.Structs.Matrix Methods (==) :: Matrix -> Matrix -> Bool # (/=) :: Matrix -> Matrix -> Bool #
IsGValue Matrix Source # | Convert `Matrix` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.Matrix Methods toGValue :: Matrix -> IO GValue Source # fromGValue :: GValue -> IO Matrix Source #
ManagedPtrNewtype Matrix Source # |
Instance details Defined in GI.Cairo.Structs.Matrix Methods toManagedPtr :: Matrix -> ManagedPtr Matrix Source #
TypedObject Matrix Source # |
Instance details Defined in GI.Cairo.Structs.Matrix Methods glibType :: IO GType Source #
GBoxed Matrix Source # |
Instance details Defined in GI.Cairo.Structs.Matrix
HasParentTypes Matrix Source # |
Instance details Defined in GI.Cairo.Structs.Matrix
type ParentTypes Matrix Source # |
Instance details Defined in GI.Cairo.Structs.Matrix type ParentTypes Matrix = '[] :: [Type]

# Methods

## Overloaded methods